Download it now!
Bug 31305 - Enterprise Deployment
Summary: Enterprise Deployment
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All Windows (All)
: medium enhancement
Assignee: Fridrich Strba
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-01 14:45 UTC by Rob
Modified: 2015-01-05 17:23 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rob 2010-11-01 14:45:57 UTC
There should be a method or tool in which deployment of Libreoffice is made easier. 

Being able to deploy to 50 workstations at once would be ideal.

Also being able to configure updates to auto download and install without user input would make an enterprise rollout feasible.
Comment 1 Don't use this account, use tml@iki.fi 2010-11-19 06:07:49 UTC
Isn't that possible using the Windows Installer .msi and .cab files that the NSIS-wrapped executable installer actually contains?

So is your request actually for us to provide also an installer not wrapped into a single executable?

I don't think we want to double the disk space used on the mirrors because of that, but possibly there is some trivial way to have the NSIS-wrapped executable installer just unpack its contents and not run the inner installer? (Of course, one can just do that manually, copy the unpacked contents away while the installer is waiting for input, and then cancel it.)

Assigning to Fridrich.
Comment 2 Fridrich Strba 2010-11-19 07:12:13 UTC
There is very easy work-around for the issue without having to double the space on mirrors: Just run the installer once and when the files are uncompressed in the place you have chosen, you cancel the proper installation. The uncompressed files will not be deleted and one can use them for AD installation, for administrative install points and any other deployment methods that use msi.
Comment 3 bfoman (inactive) 2014-01-15 16:36:35 UTC
@Rob: do you need anything more considering deployment? I think autoupdate is a request for another bug report (if it doesn't exist already). Also 4.2 version will have Windows Registry feature which allows for central configuration (https://wiki.documentfoundation.org/ReleaseNotes/4.2#Windows_Registry_changes).
Comment 4 QA Administrators 2014-10-23 17:31:50 UTC
Please read this message in its entirety before responding.

Your bug was confirmed at least 1 year ago and has not had any activity on it for over a year. Your bug is still set to NEW which means that it is open and confirmed. It would be nice to have the bug confirmed on a newer version than the version reported in the original report to know that the bug is still present -- sometimes a bug is inadvertently fixed over time and just never closed.

If you have time please do the following:
1) Test to see if the bug is still present on a currently supported version of LibreOffice (preferably 4.2 or newer).
2) If it is present please leave a comment telling us what version of LibreOffice and your operating system.
3) If it is NOT present please set the bug to RESOLVED-WORKSFORME and leave a short comment telling us your version and Operating System

Please DO NOT
1) Update the version field
2) Reply via email (please reply directly on the bug tracker)
3) Set the bug to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)

+ + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + 
LibreOffice is powered by a team of volunteers, every bug is confirmed (triaged) by human beings who mostly give their time for free. We invite you to join our triaging by checking out this link:
https://wiki.documentfoundation.org/QA/BugTriage

There are also other ways to get involved including with marketing, UX, documentation, and of course developing -  http://www.libreoffice.org/get-help/mailing-lists/. 

Lastly, good bug reports help tremendously in making the process go smoother, please always provide reproducible steps (even if it seems easy) and attach any and all relevant material
Comment 5 Adolfo Jayme 2015-01-05 17:23:19 UTC
Let’s resolve this one already. The tools for enterprise deployment are there, and the OP hasn’t posted anything new since filing the report.